/**
 * @name csv-split-easy
 * @fileoverview Splits the CSV string into array of arrays, each representing a row of columns
 * @version 7.0.7
 * @author Roy Revelt, Codsen Ltd
 * @license MIT
 * {@link https://codsen.com/os/csv-split-easy/}
 */

"use strict";var csvSplitEasy=(()=>{var oe=Object.create;var w=Object.defineProperty;var ae=Object.getOwnPropertyDescriptor;var le=Object.getOwnPropertyNames,F=Object.getOwnPropertySymbols,ue=Object.getPrototypeOf,I=Object.prototype.hasOwnProperty,pe=Object.prototype.propertyIsEnumerable;var O=(e,n,s)=>n in e?w(e,n,{enumerable:!0,configurable:!0,writable:!0,value:s}):e[n]=s,m=(e,n)=>{for(var s in n||(n={}))I.call(n,s)&&O(e,s,n[s]);if(F)for(var s of F(n))pe.call(n,s)&&O(e,s,n[s]);return e};var fe=(e,n)=>()=>(n||e((n={exports:{}}).exports,n),n.exports),ge=(e,n)=>{for(var s in n)w(e,s,{get:n[s],enumerable:!0})},j=(e,n,s,i)=>{if(n&&typeof n=="object"||typeof n=="function")for(let u of le(n))!I.call(e,u)&&u!==s&&w(e,u,{get:()=>n[u],enumerable:!(i=ae(n,u))||i.enumerable});return e};var me=(e,n,s)=>(s=e!=null?oe(ue(e)):{},j(n||!e||!e.__esModule?w(s,"default",{value:e,enumerable:!0}):s,e)),ce=e=>j(w({},"__esModule",{value:!0}),e);var A=(e,n,s)=>(O(e,typeof n!="symbol"?n+"":n,s),s);var ee=fe((yr,X)=>{var Te=1/0,we="[object Symbol]",Se=/^\s+|\s+$/g,E="\\ud800-\\udfff",q="\\u0300-\\u036f\\ufe20-\\ufe23",U="\\u20d0-\\u20f0",B="\\ufe0e\\ufe0f",ve="["+E+"]",N="["+q+U+"]",R="\\ud83c[\\udffb-\\udfff]",Oe="(?:"+N+"|"+R+")",L="[^"+E+"]",K="(?:\\ud83c[\\udde6-\\uddff]){2}",Q="[\\ud800-\\udbff][\\udc00-\\udfff]",V="\\u200d",z=Oe+"?",Z="["+B+"]?",Ae="(?:"+V+"(?:"+[L,K,Q].join("|")+")"+Z+z+")*",$e=Z+z+Ae,Ne="(?:"+[L+N+"?",N,K,Q,ve].join("|")+")",Re=RegExp(R+"(?="+R+")|"+Ne+$e,"g"),Ee=RegExp("["+V+E+q+U+B+"]"),Fe=typeof global=="object"&&global&&global.Object===Object&&global,Ie=typeof self=="object"&&self&&self.Object===Object&&self,je=Fe||Ie||Function("return this")();function De(e){return e.split("")}function xe(e,n,s,i){for(var u=e.length,r=s+(i?1:-1);i?r--:++r<u;)if(n(e[r],r,e))return r;return-1}function G(e,n,s){if(n!==n)return xe(e,_e,s);for(var i=s-1,u=e.length;++i<u;)if(e[i]===n)return i;return-1}function _e(e){return e!==e}function Ce(e,n){for(var s=-1,i=e.length;++s<i&&G(n,e[s],0)>-1;);return s}function We(e,n){for(var s=e.length;s--&&G(n,e[s],0)>-1;);return s}function Je(e){return Ee.test(e)}function k(e){return Je(e)?ke(e):De(e)}function ke(e){return e.match(Re)||[]}var He=Object.prototype,Pe=He.toString,H=je.Symbol,P=H?H.prototype:void 0,M=P?P.toString:void 0;function Me(e,n,s){var i=-1,u=e.length;n<0&&(n=-n>u?0:u+n),s=s>u?u:s,s<0&&(s+=u),u=n>s?0:s-n>>>0,n>>>=0;for(var r=Array(u);++i<u;)r[i]=e[i+n];return r}function Y(e){if(typeof e=="string")return e;if(Be(e))return M?M.call(e):"";var n=e+"";return n=="0"&&1/e==-Te?"-0":n}function qe(e,n,s){var i=e.length;return s=s===void 0?i:s,!n&&s>=i?e:Me(e,n,s)}function Ue(e){return!!e&&typeof e=="object"}function Be(e){return typeof e=="symbol"||Ue(e)&&Pe.call(e)==we}function Le(e){return e==null?"":Y(e)}function Ke(e,n,s){if(e=Le(e),e&&(s||n===void 0))return e.replace(Se,"");if(!e||!(n=Y(n)))return e;var i=k(e),u=k(n),r=Ce(i,u),a=We(i,u)+1;return qe(i,r,a).join("")}X.exports=Ke});var Ge={};ge(Ge,{defaults:()=>ne,splitEasy:()=>Ze,version:()=>ze});var he={strictlyTwoElementsInRangeArrays:!1,progressFn:null};function d(e,n){if(!Array.isArray(e)||!e.length)return e;let s=m(m({},he),n),i,u;if(s.strictlyTwoElementsInRangeArrays&&!e.every((l,o)=>!Array.isArray(l)||l.length!==2?(i=o,u=l.length,!1):!0))throw new TypeError(`ranges-sort: [THROW_ID_03] The first argument should be an array and must consist of arrays which are natural number indexes representing TWO string index ranges. However, ${i}th range (${JSON.stringify(e[i],null,4)}) has not two but ${u} elements!`);if(!e.every((l,o)=>!Array.isArray(l)||!Number.isInteger(l[0])||l[0]<0||!Number.isInteger(l[1])||l[1]<0?(i=o,!1):!0))throw new TypeError(`ranges-sort: [THROW_ID_04] The first argument should be an array and must consist of arrays which are natural number indexes representing string index ranges. However, ${i}th range (${JSON.stringify(e[i],null,4)}) does not consist of only natural numbers!`);let r=e.length**2,a=0;return Array.from(e).sort((l,o)=>(s.progressFn&&(a+=1,s.progressFn(Math.floor(a*100/r))),l[0]===o[0]?l[1]<o[1]?-1:l[1]>o[1]?1:0:l[0]<o[0]?-1:1))}var D={mergeType:1,progressFn:null,joinRangesThatTouchEdges:!0};function x(e,n){function s(t){return!!t&&typeof t=="object"&&!Array.isArray(t)}if(!Array.isArray(e)||!e.length)return null;let i;if(n)if(s(n)){if(i=m(m({},D),n),i.progressFn&&s(i.progressFn)&&!Object.keys(i.progressFn).length)i.progressFn=null;else if(i.progressFn&&typeof i.progressFn!="function")throw new Error(`ranges-merge: [THROW_ID_01] opts.progressFn must be a function! It was given of a type: "${typeof i.progressFn}", equal to ${JSON.stringify(i.progressFn,null,4)}`);if(![1,2,"1","2"].includes(i.mergeType))throw new Error(`ranges-merge: [THROW_ID_02] opts.mergeType was customised to a wrong thing! It was given of a type: "${typeof i.mergeType}", equal to ${JSON.stringify(i.mergeType,null,4)}`);if(typeof i.joinRangesThatTouchEdges!="boolean")throw new Error(`ranges-merge: [THROW_ID_04] opts.joinRangesThatTouchEdges was customised to a wrong thing! It was given of a type: "${typeof i.joinRangesThatTouchEdges}", equal to ${JSON.stringify(i.joinRangesThatTouchEdges,null,4)}`)}else throw new Error(`emlint: [THROW_ID_03] the second input argument must be a plain object. It was given as:
${JSON.stringify(n,null,4)} (type ${typeof n})`);else i=m({},D);let u=e.filter(t=>Array.isArray(t)).map(t=>[...t]).filter(t=>t[2]!==void 0||t[0]!==t[1]),r,a,l;i.progressFn?r=d(u,{progressFn:t=>{l=Math.floor(t/5),l!==a&&(a=l,i.progressFn(l))}}):r=d(u);let o=r.length-1;for(let t=o;t>0;t--)i.progressFn&&(l=Math.floor((1-t/o)*78)+21,l!==a&&l>a&&(a=l,i.progressFn(l))),(r[t][0]<=r[t-1][0]||!i.joinRangesThatTouchEdges&&r[t][0]<r[t-1][1]||i.joinRangesThatTouchEdges&&r[t][0]<=r[t-1][1])&&(r[t-1][0]=Math.min(r[t][0],r[t-1][0]),r[t-1][1]=Math.max(r[t][1],r[t-1][1]),r[t][2]!==void 0&&(r[t-1][0]>=r[t][0]||r[t-1][1]<=r[t][1])&&r[t-1][2]!==null&&(r[t][2]===null&&r[t-1][2]!==null?r[t-1][2]=null:r[t-1][2]!=null?+i.mergeType==2&&r[t-1][0]===r[t][0]?r[t-1][2]=r[t][2]:r[t-1][2]+=r[t][2]:r[t-1][2]=r[t][2]),r.splice(t,1),t=r.length);return r.length?r:null}var ye=!0,$="Invariant failed";function _(e,n){if(!e){if(ye)throw new Error($);var s=typeof n=="function"?n():n,i=s?"".concat($,": ").concat(s):$;throw new Error(i)}}function C(e,n,s){let i=0,u=0;if(arguments.length===0)throw new Error("ranges-apply: [THROW_ID_01] inputs missing!");if(typeof e!="string")throw new TypeError(`ranges-apply: [THROW_ID_02] first input argument must be a string! Currently it's: ${typeof e}, equal to: ${JSON.stringify(e,null,4)}`);if(n&&!Array.isArray(n))throw new TypeError(`ranges-apply: [THROW_ID_03] second input argument must be an array (or null)! Currently it's: ${typeof n}, equal to: ${JSON.stringify(n,null,4)}`);if(s&&typeof s!="function")throw new TypeError(`ranges-apply: [THROW_ID_04] the third input argument must be a function (or falsey)! Currently it's: ${typeof s}, equal to: ${JSON.stringify(s,null,4)}`);if(!n||!n.filter(p=>p).length)return e;let r;Array.isArray(n)&&Number.isInteger(n[0])&&Number.isInteger(n[1])?r=[Array.from(n)]:r=Array.from(n);let a=r.length,l=0;r.filter(p=>p).forEach((p,f)=>{if(s&&(i=Math.floor(l/a*10),i!==u&&(u=i,s(i))),!Array.isArray(p))throw new TypeError(`ranges-apply: [THROW_ID_05] ranges array, second input arg., has ${f}th element not an array: ${JSON.stringify(p,null,4)}, which is ${typeof p}`);if(!Number.isInteger(p[0])){if(!Number.isInteger(+p[0])||+p[0]<0)throw new TypeError(`ranges-apply: [THROW_ID_06] ranges array, second input arg. has ${f}th element, array ${JSON.stringify(p,null,0)}. Its first element is not an integer, string index, but ${typeof p[0]}, equal to: ${JSON.stringify(p[0],null,4)}.`);r[f][0]=+r[f][0]}if(!Number.isInteger(p[1])){if(!Number.isInteger(+p[1])||+p[1]<0)throw new TypeError(`ranges-apply: [THROW_ID_07] ranges array, second input arg. has ${f}th element, array ${JSON.stringify(p,null,0)}. Its second element is not an integer, string index, but ${typeof p[1]}, equal to: ${JSON.stringify(p[1],null,4)}.`);r[f][1]=+r[f][1]}l+=1});let o=x(r,{progressFn:p=>{s&&(i=10+Math.floor(p/10),i!==u&&(u=i,s(i)))}});_(o);let t=o.length;if(t>0){let p=e.slice(o[t-1][1]);e=o.reduce((f,c,g,T)=>{s&&(i=20+Math.floor(g/t*80),i!==u&&(u=i,s(i)));let se=g===0?0:T[g-1][1],ie=T[g][0];return`${f}${e.slice(se,ie)}${T[g][2]||""}`},""),e+=p}return e}function v(e,n=1){let s="\xA0";function i(r){return Array.from(r).reverse().join("")}function u(r,a,l){let o=l?`
`:"\r",t=l?"\r":`
`;if(!r)return r;let p=0,f=0,c="";for(let g=0,T=r.length;g<T;g++)(r[g]===o||r[g]===t&&r[g-1]!==o)&&f++,`\r
`.includes(r[g])||r[g]===s?(p=0,r[g]===s?c+=r[g]:r[g]===o?f<=a&&(c+=r[g],r[g+1]===t&&(c+=r[g+1],g++)):r[g]===t&&(r==null?void 0:r[g-1])!==o&&f<=a&&(c+=r[g])):(p++,!r[g+1]&&!f&&(c+=" "));return c}if(typeof e=="string"&&e.length){let r=1;typeof+n=="number"&&Number.isInteger(+n)&&+n>=0&&(r=+n);let a="",l="";if(!e.trim())a=e;else if(!e[0].trim()){for(let o=0,t=e.length;o<t;o++)if(e[o].trim()){a=e.slice(0,o);break}}if(e.trim()&&(e.slice(-1).trim()===""||e.slice(-1)===s)){for(let o=e.length;o--;)if(e[o].trim()){l=e.slice(o+1);break}}return`${u(a,r,!1)}${e.trim()}${i(u(i(l),r,!0))}`}return e}function b(e){return typeof e=="string"}function h(e){return Number.isSafeInteger(e)&&e>=0}function y(e){return e!=null}var W={mergeType:1,progressFn:null,joinRangesThatTouchEdges:!0};function de(e,n){function s(t){return!!t&&typeof t=="object"&&!Array.isArray(t)}if(!Array.isArray(e)||!e.length)return null;let i;if(n)if(s(n)){if(i=m(m({},W),n),i.progressFn&&s(i.progressFn)&&!Object.keys(i.progressFn).length)i.progressFn=null;else if(i.progressFn&&typeof i.progressFn!="function")throw new Error(`ranges-merge: [THROW_ID_01] resolvedOpts.progressFn must be a function! It was given of a type: "${typeof i.progressFn}", equal to ${JSON.stringify(i.progressFn,null,4)}`);if(![1,2,"1","2"].includes(i.mergeType))throw new Error(`ranges-merge: [THROW_ID_02] resolvedOpts.mergeType was customised to a wrong thing! It was given of a type: "${typeof i.mergeType}", equal to ${JSON.stringify(i.mergeType,null,4)}`);if(typeof i.joinRangesThatTouchEdges!="boolean")throw new Error(`ranges-merge: [THROW_ID_04] resolvedOpts.joinRangesThatTouchEdges was customised to a wrong thing! It was given of a type: "${typeof i.joinRangesThatTouchEdges}", equal to ${JSON.stringify(i.joinRangesThatTouchEdges,null,4)}`)}else throw new Error(`emlint: [THROW_ID_03] the second input argument must be a plain object. It was given as:
${JSON.stringify(n,null,4)} (type ${typeof n})`);else i=m({},W);let u=e.filter(t=>Array.isArray(t)).map(t=>[...t]).filter(t=>t[2]!==void 0||t[0]!==t[1]),r,a,l;i.progressFn?r=d(u,{progressFn:t=>{l=Math.floor(t/5),l!==a&&(a=l,i.progressFn(l))}}):r=d(u);let o=r.length-1;for(let t=o;t>0;t--)i.progressFn&&(l=Math.floor((1-t/o)*78)+21,l!==a&&l>a&&(a=l,i.progressFn(l))),(r[t][0]<=r[t-1][0]||!i.joinRangesThatTouchEdges&&r[t][0]<r[t-1][1]||i.joinRangesThatTouchEdges&&r[t][0]<=r[t-1][1])&&(r[t-1][0]=Math.min(r[t][0],r[t-1][0]),r[t-1][1]=Math.max(r[t][1],r[t-1][1]),r[t][2]!==void 0&&(r[t-1][0]>=r[t][0]||r[t-1][1]<=r[t][1])&&r[t-1][2]!==null&&(r[t][2]===null&&r[t-1][2]!==null?r[t-1][2]=null:r[t-1][2]!=null?+i.mergeType==2&&r[t-1][0]===r[t][0]?r[t-1][2]=r[t][2]:r[t-1][2]+=r[t][2]:r[t-1][2]=r[t][2]),r.splice(t,1),t=r.length);return r.length?r:null}var be={limitToBeAddedWhitespace:!1,limitLinebreaksCount:1,mergeType:1},J=class{constructor(e){A(this,"ranges");A(this,"opts");let n=m(m({},be),e);if(n.mergeType&&n.mergeType!==1&&n.mergeType!==2)if(b(n.mergeType)&&n.mergeType.trim()==="1")n.mergeType=1;else if(b(n.mergeType)&&n.mergeType.trim()==="2")n.mergeType=2;else throw new Error(`ranges-push: [THROW_ID_02] opts.mergeType was customised to a wrong thing! It was given of a type: "${typeof n.mergeType}", equal to ${JSON.stringify(n.mergeType,null,4)}`);this.opts=n,this.ranges=[]}add(e,n,s){var r;if(e==null&&n==null)return;if(y(e)&&!y(n)){if(Array.isArray(e)){if(e.length){if(e.some(a=>Array.isArray(a))){e.forEach(a=>{Array.isArray(a)&&this.add(...a)});return}e.length&&h(+e[0])&&h(+e[1])&&this.add(...e)}return}throw new TypeError(`ranges-push/Ranges/add(): [THROW_ID_12] the first input argument, "from" is set (${JSON.stringify(e,null,0)}) but second-one, "to" is not (${JSON.stringify(n,null,0)})`)}else if(!y(e)&&y(n))throw new TypeError(`ranges-push/Ranges/add(): [THROW_ID_13] the second input argument, "to" is set (${JSON.stringify(n,null,0)}) but first-one, "from" is not (${JSON.stringify(e,null,0)})`);let i=+e,u=+n;if(h(s)&&(s=String(s)),h(i)&&h(u)){if(y(s)&&!b(s)&&!h(s))throw new TypeError(`ranges-push/Ranges/add(): [THROW_ID_08] The third argument, the value to add, was given not as string but ${typeof s}, equal to:
${JSON.stringify(s,null,4)}`);if(y(this.ranges)&&Array.isArray(this.last())&&i===this.last()[1]){if(this.last()[1]=u,this.last()[2],this.last()[2]!==null&&y(s)){let a=this.last()[2]&&this.last()[2].length&&(!((r=this.opts)!=null&&r.mergeType)||this.opts.mergeType===1)?`${this.last()[2]}${s}`:s;this.opts.limitToBeAddedWhitespace&&(a=v(a,this.opts.limitLinebreaksCount)),b(a)&&!a.length||(this.last()[2]=a)}}else{this.ranges||(this.ranges=[]);let a=s!==void 0&&!(b(s)&&!s.length)?[i,u,s&&this.opts.limitToBeAddedWhitespace?v(s,this.opts.limitLinebreaksCount):s]:[i,u];this.ranges.push(a)}}else throw h(i)&&i>=0?new TypeError(`ranges-push/Ranges/add(): [THROW_ID_10] "to" value, the second input argument, must be a natural number or zero! Currently it's of a type "${typeof u}" equal to: ${JSON.stringify(u,null,4)}`):new TypeError(`ranges-push/Ranges/add(): [THROW_ID_09] "from" value, the first input argument, must be a natural number or zero! Currently it's of a type "${typeof i}" equal to: ${JSON.stringify(i,null,4)}`)}push(e,n,s){this.add(e,n,s)}current(){return Array.isArray(this.ranges)&&this.ranges.length?(this.ranges=de(this.ranges,{mergeType:this.opts.mergeType}),this.ranges&&this.opts.limitToBeAddedWhitespace?this.ranges.map(e=>y(e[2])?[e[0],e[1],v(e[2],this.opts.limitLinebreaksCount)]:e):this.ranges):null}wipe(){this.ranges=[]}replace(e){if(Array.isArray(e)&&e.length)if(Array.isArray(e[0])&&h(e[0][0]))this.ranges=Array.from(e);else throw new Error(`ranges-push/Ranges/replace(): [THROW_ID_11] Single range was given but we expected array of arrays! The first element, ${JSON.stringify(e[0],null,4)} should be an array and its first element should be an integer, a string index.`);else this.ranges=[]}last(){return Array.isArray(this.ranges)&&this.ranges.length?this.ranges[this.ranges.length-1]:null}};var re=me(ee(),1);var Qe={removeThousandSeparatorsFromNumbers:!0,padSingleDecimalPlaceNumbers:!0,forceUKStyle:!1};function S(e,n){let s=!0,i=[".",",","'"," "],u;if(typeof e!="string")throw new TypeError(`string-remove-thousand-separators/remSep(): [THROW_ID_01] Input must be string! Currently it's: ${typeof e}, equal to:
${JSON.stringify(e,null,4)}`);if(n&&typeof n!="object")throw new TypeError(`string-remove-thousand-separators/remSep(): [THROW_ID_02] Options object must be a plain object! Currently it's: ${typeof n}, equal to:
${JSON.stringify(n,null,4)}`);let r=m(m({},Qe),n),a=(0,re.default)(e.trim(),'"');if(a==="")return a;if(+e>0&&+e<1)return e;let l=new J;for(let o=0,t=a.length;o<t;o++){if(r.removeThousandSeparatorsFromNumbers&&a[o].trim()===""&&l.add(o,o+1),r.removeThousandSeparatorsFromNumbers&&a[o]==="'"&&(l.add(o,o+1),a[o+1]==="'")){s=!1;break}if(i.includes(a[o])){if(a[o+1]!==void 0&&/^\d$/.test(a[o+1]))if(a[o+2]!==void 0)if(/^\d$/.test(a[o+2]))if(a[o+3]!==void 0)if(/^\d$/.test(a[o+3])){if(a[o+4]!==void 0&&/^\d$/.test(a[o+4])){s=!1;break}else if(r.removeThousandSeparatorsFromNumbers&&l.add(o,o+1),!u)u=a[o];else if(a[o]!==u){s=!1;break}}else{s=!1;break}else r.removeThousandSeparatorsFromNumbers&&r.forceUKStyle&&a[o]===","&&l.add(o,o+1,".");else{s=!1;break}else r.forceUKStyle&&a[o]===","&&l.add(o,o+1,"."),r.padSingleDecimalPlaceNumbers&&l.add(o+2,o+2,"0")}else if(!/^\d$/.test(a[o])){s=!1;break}}return s&&l.current()?C(a,l.current()):a}var te="7.0.7";var ze=te,ne={removeThousandSeparatorsFromNumbers:!0,padSingleDecimalPlaceNumbers:!0,forceUKStyle:!1};function Ze(e,n){let s=0,i=0,u=[],r=[],a=!1,l=!0;if(n&&typeof n!="object")throw new Error(`csv-split-easy/split(): [THROW_ID_02] Options object must be a plain object! Currently it's of a type ${typeof n} equal to:
${JSON.stringify(n,null,4)}`);let o=m(m({},ne),n);if(typeof e!="string")throw new TypeError(`csv-split-easy/split(): [THROW_ID_04] input must be string! Currently it's: ${typeof e}, equal to: ${JSON.stringify(e,null,4)}`);if(e==="")return[[""]];e=e.trim();for(let t=0,p=e.length;t<p;t++){if(l&&e[t]!=='"'&&e[t]!==","&&e[t].trim()!==""&&(l=!1),e[t]==='"')if(a&&e[t+1]==='"')t+=1;else if(a){a=!1;let f=e.slice(s,t);f.trim()!==""&&(l=!1);let c=/""/.test(f)?f.replace(/""/g,'"'):S(f,{removeThousandSeparatorsFromNumbers:o.removeThousandSeparatorsFromNumbers,padSingleDecimalPlaceNumbers:o.padSingleDecimalPlaceNumbers,forceUKStyle:o.forceUKStyle});u.push(c)}else a=!0,s=t+1;else if(!a&&e[t]===","){if(e[t-1]!=='"'&&!a){let f=e.slice(s,t);f.trim()!==""&&(l=!1),u.push(S(f,{removeThousandSeparatorsFromNumbers:o.removeThousandSeparatorsFromNumbers,padSingleDecimalPlaceNumbers:o.padSingleDecimalPlaceNumbers,forceUKStyle:o.forceUKStyle}))}s=t+1,i&&(i=0)}else if(e[t]===`
`||e[t]==="\r"){if(!i){if(i=t,!a&&e[t-1]!=='"'){let f=e.slice(s,t);f.trim()!==""&&(l=!1),u.push(S(f,{removeThousandSeparatorsFromNumbers:o.removeThousandSeparatorsFromNumbers,padSingleDecimalPlaceNumbers:o.padSingleDecimalPlaceNumbers,forceUKStyle:o.forceUKStyle}))}l?u.length=0:r.push(u),l=!0,u=[]}s=t+1}else i&&(i=0,s=t);if(t+1===p){if(e[t]!=='"'){let f=e.slice(s,t+1);f.trim()&&(l=!1),u.push(S(f,{removeThousandSeparatorsFromNumbers:o.removeThousandSeparatorsFromNumbers,padSingleDecimalPlaceNumbers:o.padSingleDecimalPlaceNumbers,forceUKStyle:o.forceUKStyle}))}l?u=[]:r.push(u),l=!0}}return r.length===0?[[""]]:r}return ce(Ge);})();
/**
 * @name ranges-sort
 * @fileoverview Sort string index ranges
 * @version 6.0.7
 * @author Roy Revelt, Codsen Ltd
 * @license MIT
 * {@link https://codsen.com/os/ranges-sort/}
 */
/**
 * @name ranges-merge
 * @fileoverview Merge and sort string index ranges
 * @version 9.0.7
 * @author Roy Revelt, Codsen Ltd
 * @license MIT
 * {@link https://codsen.com/os/ranges-merge/}
 */
/**
 * @name ranges-apply
 * @fileoverview Take an array of string index ranges, delete/replace the string according to them
 * @version 7.0.7
 * @author Roy Revelt, Codsen Ltd
 * @license MIT
 * {@link https://codsen.com/os/ranges-apply/}
 */
/**
 * @name string-collapse-leading-whitespace
 * @fileoverview Collapse the leading and trailing whitespace of a string
 * @version 7.0.5
 * @author Roy Revelt, Codsen Ltd
 * @license MIT
 * {@link https://codsen.com/os/string-collapse-leading-whitespace/}
 */
/**
 * @name codsen-utils
 * @fileoverview Various utility functions
 * @version 1.3.1
 * @author Roy Revelt, Codsen Ltd
 * @license MIT
 * {@link https://codsen.com/os/codsen-utils/}
 */
/**
 * @name ranges-push
 * @fileoverview Gather string index ranges
 * @version 7.0.7
 * @author Roy Revelt, Codsen Ltd
 * @license MIT
 * {@link https://codsen.com/os/ranges-push/}
 */
/**
 * @name string-remove-thousand-separators
 * @fileoverview Detects and removes thousand separators (dot/comma/quote/space) from string-type digits
 * @version 7.0.7
 * @author Roy Revelt, Codsen Ltd
 * @license MIT
 * {@link https://codsen.com/os/string-remove-thousand-separators/}
 */
